---
title: "Global search"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › search

`GET /v2/search/global`

## Query parameters

- `query` (`search-global.query.query`; string, required)
  - minLength 1; maxLength 100
- `limit` (`search-global.query.limit`; integer, optional)
  - min 1; max 20; default `8`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/search/global?query=string'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/search/global?query=string';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/search/global?query=string"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "results": [
    {
      "id": "string",
      "type": "user",
      "title": "string",
      "subtitle": "string",
      "href": "string",
      "badge": "string"
    }
  ]
}
```

- `results` (`search-global.response.200.results`; array<object>, required)
  - `id` (`search-global.response.200.results.id`; string, required)
  - `type` (`search-global.response.200.results.type`; string, required)
    - one of `"user"`, `"research_contact"`
  - `title` (`search-global.response.200.results.title`; string, required)
  - `subtitle` (`search-global.response.200.results.subtitle`; string, required, nullable)
  - `href` (`search-global.response.200.results.href`; string, required)
  - `badge` (`search-global.response.200.results.badge`; string, required, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-global.response.400.error`; object, required)
  - `code` (`search-global.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-global.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`search-global.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-global.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-global.response.401.error`; object, required)
  - `code` (`search-global.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-global.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`search-global.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-global.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-global.response.403.error`; object, required)
  - `code` (`search-global.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-global.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`search-global.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-global.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-global.response.422.error`; object, required)
  - `code` (`search-global.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-global.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`search-global.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-global.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-global.response.500.error`; object, required)
  - `code` (`search-global.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-global.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`search-global.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-global.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-global.response.503.error`; object, required)
  - `code` (`search-global.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-global.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`search-global.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-global.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/search-global/index.md
